--Application.LoadScript("AutoPlay\\Scripts\\Skinned SliderEx.lua");
--Skinned SliderEx
--On Show
function Skin() 	
SkinnedSlider.SetBackground("Plugin1", "AutoPlay\\Images\\DefaultSkin\\VIDEO_SLIDER_EMPTY.BMP", "AutoPlay\\Images\\DefaultSkin\\VIDEO_SLIDER_FILL.BMP");
SkinnedSlider.ThumbMargin("Plugin1", 10, 10, 0, 0);
SkinnedSlider.SetThumb("Plugin1", "AutoPlay\\Images\\DefaultSkin\\VIDEO_SLIDER_KNOB.BMP", "AutoPlay\\Images\\DefaultSkin\\VIDEO_SLIDER_KNOB.BMP", true, -16777216);
SkinnedSlider.SetVertical("Plugin1", false);
Plugin.SetSize("Plugin1", 123, 19);
end		--*******************************--
--Skin1--------------------------------------------------------
function Skin1() 	
SkinnedSlider.SetBackground("Plugin1", "AutoPlay\\Images\\DefaultSkin\\VIDEO_SLIDER_EMPTY.BMP", "AutoPlay\\Images\\DefaultSkin\\VIDEO_SLIDER_FILL.BMP");
SkinnedSlider.ThumbMargin("Plugin1", 10, 10, 0, 0);
SkinnedSlider.SetThumb("Plugin1", "AutoPlay\\Images\\DefaultSkin\\VIDEO_SLIDER_KNOB.BMP", "AutoPlay\\Images\\DefaultSkin\\VIDEO_SLIDER_KNOB.BMP", true, -16777216);
--SkinnedSlider.SetVertical("Plugin1", false);
Plugin.SetSize("Plugin1", 123, 19);
end			--*******************************--
--Skin2---------------------------------------------------------------------------------------
function Skin2()
SkinnedSlider.SetBackground("Plugin1", "AutoPlay\\Images\\DefaultSkin\\BarBack.bmp", "AutoPlay\\Images\\DefaultSkin\\BarActive.bmp");
SkinnedSlider.ThumbMargin("Plugin1", 2, 2, 2, 0);
SkinnedSlider.SetThumb("Plugin1", "AutoPlay\\Images\\DefaultSkin\\Thumb.bmp", "AutoPlay\\Images\\DefaultSkin\\ThumbActive.bmp", true, -16777216);
SkinnedSlider.SetVertical("Plugin1", false);
Plugin.SetSize("Plugin1", 100, 15);
end			--*******************************--
--Skin3----------------------------------------------------------------------------------------------
function Skin3() 
SkinnedSlider.SetBackground("Plugin1", "AutoPlay\\Images\\DefaultSkin\\btm_slider_volume_empty.bmp", "AutoPlay\\Images\\DefaultSkin\\btm_slider_volume_empty.bmp");
SkinnedSlider.ThumbMargin("Plugin1", 2, 2, 0, 0);
SkinnedSlider.SetThumb("Plugin1", "AutoPlay\\Images\\DefaultSkin\\btm_slider_main_range.bmp", "AutoPlay\\Images\\DefaultSkin\\btm_slider_main_range.bmp", true, -16777216);
SkinnedSlider.SetVertical("Plugin1", false);
Plugin.SetSize("Plugin1", 64, 12);
end				--*******************************--
--Skin4 (Vertical)---------------------------------------------------------------------------
function Skin4() 	
SkinnedSlider.SetBackground("Plugin1", "AutoPlay\\Images\\DefaultSkin\\BarBackVer.bmp", "AutoPlay\\Images\\DefaultSkin\\BarActiveVer.bmp");
SkinnedSlider.ThumbMargin("Plugin1", 4, 0, 4, 4);
SkinnedSlider.SetThumb("Plugin1", "AutoPlay\\Images\\DefaultSkin\\btm_slider_volume_knob.bmp", "AutoPlay\\Images\\DefaultSkin\\btm_slider_volume_knob.bmp", true, -16777216);
SkinnedSlider.SetVertical("Plugin1", true);
Plugin.SetSize("Plugin1", 15, 100);
end			--*******************************--
--Change Thumb------------------------------------------------------------
function SkinSetThumb() 
SkinnedSlider.SetThumb("Plugin1", "AutoPlay\\Images\\DefaultSkin\\Thumb.bmp", "AutoPlay\\Images\\DefaultSkin\\ThumbActive.bmp", true, -16777216);
end			--*******************************--
--GetSliderPos----------------------------------------------------------------
function GetSliderPos() 	
GetPos = SkinnedSlider.GetSliderPos("Plugin1");
Dialog.Message("Notice",GetPos, MB_OK, MB_ICONINFORMATION, MB_DEFBUTTON1);
end
--SetSliderPos------------------------------------------------------------
function SetSliderPos() 
SkinnedSlider.SetSliderPos("Plugin1", 35);
end				--*******************************--

\\DefaultSkin




